%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

# If pvhvmkver is defined, build PV-HVM drivers 
# Turn on/off these to build drivers for el4/el5 kernels
# Example use:
#  i386:
#    rpmbuild --target=i686 --define "oel5 1" --define "pvhvmkver 2.6.18-8.1.15.0.1.el5" -bb xen.spec
#  x86_64:
#    rpmbuild --define "oel5 1" --define "pvhvmkver 2.6.18-8.1.15.0.1.el5" -bb xen.spec
%define buildpvdrv 0
%define buildoel5  0
%define buildoel4  0
%define knl        kernel
%define knlsfx     %{nil}
%{?pvhvmkver: %define buildpvdrv 1}
%{?oel5: %define buildoel5 1}
%{?oel4: %define buildoel4 1}
%{?hunHz: %define knlsfx vm}
%{?hunHz: %define knl    kernel-vm}

# To hell with building libvnc inside this package,.. catch 22 anyone?
# This should be a seperate package (just leaving this here in
# case someone disagrees - bryce)
%define libvnc 0

# PIT clock correction patch, not yet accepted upstream
%define hvmpitpatch 0
# TSC virtualization patch, not yet accepted upstream
%define hvmtscpatch 0

%if %{hvmpitpatch} && %{hvmtscpatch}
%{error:Cannot apply both the PIT adjustment and TSC virtualization patches at present}
%endif

%ifarch x86_64 || noarch
%define unpackaged_files_terminate_build 0
%define missing_doc_files_terminate_build 0
%define debug_package %{nil}
%endif

Summary: Xen is a virtual machine monitor
Name:    xen
Version: 3.1.1
Release: 0.0.36%{?dist}
Group:   Development/Libraries
License: GPL
URL:     http://www.cl.cam.ac.uk/Research/SRG/netos/xen/index.html
Source0: xen-%{version}-ovs.tar.bz2
Source3: docs.tar.gz

%if %{libvnc}
Source1: http://download.sf.net/libvncserver/LibVNCServer-0.8.2.tar.gz
%endif

# Little bit o'evil
Source2: tpm_emulator-0.4.tar.gz

# Oracle patches
Patch1:  ovs-xend-config-enable-unix-daemon.patch
Patch2:  ovs-xend-daemon-status.patch
Patch3:  ovs-xend-restrict-vcpu-set.patch
Patch4:  ovs-finalize-config.patch
Patch5:  ovs-tpm_emulator.patch
Patch6:  ovs-xen-3.1.1-rc1.patch
Patch7:  ovs-64bit-prefix.patch
Patch8:  ovs-xen-3.1.1-rc2.patch
Patch9:  ovs-unmodified-drivers.patch
Patch10: ovs-reduce-symlinks.patch
Patch11: ovs-xen-naming.patch
Patch12: ovs-64-on-32-save-restore.patch
Patch13: ovs-xen-backout-cs-15199.patch
Patch14: ovs-xen-3.1.1-rc3.patch
Patch15: ovs-xen-shadow-fix-error-locking.patch
Patch16: ovs-xen-3.1.1-release-version-strings.patch
Patch17: ovs-relocation-daemon-settings.patch
Patch18: ovs-fix-64bit-migration.patch
Patch19: ovs-64-on-32-cr3.patch
Patch20: ovs-xend-vnc-listen-default.patch
Patch21: ovs-cs16157-CVE-2007-3919.patch
Patch22: ovs-enable-qemu-img-build.patch
Patch23: xen-network-iptables-bridge.patch
Patch24: ovs-xen-use-readonly-lomount-when-needed.patch
# a few patches from 5.1
Patch25: xen-fix-mce-errors-on-amd-v.patch

Patch26: ovs-bridge-all-active-interfaces.patch
Patch27: cs16543-correct-continuation-xlat-for-large-compat-mmuext-hypercalls.patch


Patch100: ovs-xen-sync-hvm-tsc-to-host.patch
Patch101: ovs-clean-up-hvm_build-python-wrapper.patch
Patch102: ovs-fix-64bit-pit-time.patch

%if %{buildpvdrv}
Source10: pvhvm-netfront.patch
%endif

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%if !%{buildpvdrv}

BuildRequires: transfig libidn-devel zlib-devel texi2html SDL-devel curl-devel
BuildRequires: libX11-devel python-devel ghostscript tetex-latex
BuildRequires: ncurses-devel gtk2-devel libaio-devel libxml2-devel
BuildRequires: libvncserver gettext imake 
# for the docs 
BuildRequires: perl 
# so that the makefile knows to install udev rules
BuildRequires: udev 

%ifnarch ia64
# so that x86_64 builds pick up glibc32 correctly
BuildRequires: /usr/include/gnu/stubs-32.h
# for the VMX "bios" 
BuildRequires: dev86
%endif

Requires: bridge-utils
Requires: udev >= 059
Requires: python-virtinst
Requires: xen-tools = %{version}-%{release}
Requires: libvncserver >= 0.9.1
Requires: ovs-utils
Requires: util-linux >= 2.13-0.45

# Not strictly a dependency, but kpartx is by far the most useful tool right
# now for accessing domU data from within a dom0 so bring it in when the user
# installs xen.
Requires: kpartx
Prereq: chkconfig
ExclusiveArch: i386 i686 x86_64 ia64 noarch
%ifarch x86_64
BuildArch: noarch
BuildArchitectures: x86_64 noarch
%endif

%endif

%description
This package contains the Xen hypervisor and Xen tools, needed to
run virtual machines on x86 systems, together with the kernel-xen*
packages.  Information on how to use Xen can be found at the Xen
project pages.

Virtualisation can be used to run multiple versions or multiple
Linux distributions on one system, or to test untrusted applications
in a sandboxed environment.  

%if !%{buildpvdrv}

%ifarch x86_64 || noarch
%package 64
Summary:  Xen is a virtual machine monitor
Group:    Development/Libraries
Requires: bridge-utils
Requires: udev >= 059
Requires: python-virtinst
Requires: xen-tools = %{version}-%{release}
Requires: libvncserver >= 0.9.1
Requires: ovs-utils

%description 64
This package contains the Xen hypervisor and Xen tools, needed to
run virtual machines on x86 systems, together with the kernel-xen*
packages.  Information on how to use Xen can be found at the Xen
project pages.

Virtualisation can be used to run multiple versions or multiple
Linux distributions on one system, or to test untrusted applications
in a sandboxed environment.  
%endif # x86_64


%package tools
Summary: Various tooling for the manipulation of Xen instances
Group: System Environment/Libraries
Requires(pre): /sbin/ldconfig 
Requires(post): /sbin/ldconfig

%description tools
This package contains the user utilities required for the manipulation
if Xen guest instances, associated documentation and keymaps

%package devel
Summary: Development libraries for Xen tools
Group: Development/Libraries
Requires: xen-tools = %{version}-%{release}
Requires(pre): /sbin/ldconfig
Requires(post): /sbin/ldconfig

%description devel
This package contains what's needed to develop applications to manage Xen
virtual machines. 

%package pvhvm-devel
Summary: Development libraries for Xen PV-HVM drivers
Group: Development/Libraries

%description pvhvm-devel
This package contains the sources necessary to build paravirtualized
drivers for linux hvm domains.  These come from the
unmodified_drivers/linux-2.6 directory in the source tree.

%endif

%if %{buildpvdrv} 

%define debug_package %{nil}

%define builddef        1

%if %{builddef}
%package pvhvm-%{pvhvmkver}%{knlsfx}
Summary: PV-HVM drivers for default kernel
Group: Development/Libraries
Requires: %{knl} = %{pvhvmkver}
BuildRequires: %{knl}-devel = %{pvhvmkver}

%description pvhvm-%{pvhvmkver}%{knlsfx}
This package contains the paravirtualized drivers for linux hvm domains. 
%endif

%if %{buildoel5}

%define buildpae        0

%ifarch x86_64
%define karch           x86_64
%endif
%ifarch i686 || i386
%define karch           i686
%define buildpae        1
%endif

%if %{buildpae}
%package pvhvm-%{pvhvmkver}%{knlsfx}PAE
Summary: PV-HVM drivers for PAE kernel
Group: Development/Libraries
Requires: %{knl}-PAE = %{pvhvmkver}
BuildRequires: %{knl}-PAE-devel = %{pvhvmkver}

%description pvhvm-%{pvhvmkver}%{knlsfx}PAE
This package contains the paravirtualized drivers for linux hvm domains. 
%endif

%endif # buildoel5

%if %{buildoel4}

%define buildsmp        1
%define buildlargesmp   0
%define buildhugemem    0


%ifarch x86_64
%define karch           x86_64
%define buildlargesmp   1
%endif
%ifarch i686 || i386
%define karch           i686
%define buildhugemem    1
%endif

%if %{buildsmp}
%package pvhvm-%{pvhvmkver}%{knlsfx}smp
Summary: PV-HVM drivers for smp kernel
Group: Development/Libraries
Requires: %{knl}-smp = %{pvhvmkver}
BuildRequires: %{knl}-smp-devel = %{pvhvmkver}

%description pvhvm-%{pvhvmkver}%{knlsfx}smp
This package contains the paravirtualized drivers for linux hvm domains. 
%endif

%if %{buildlargesmp}
%package pvhvm-%{pvhvmkver}%{knlsfx}largesmp
Summary: PV-HVM drivers for largesmp kernel
Group: Development/Libraries
Requires: %{knl}-largesmp = %{pvhvmkver}
BuildRequires: %{knl}-largesmp-devel = %{pvhvmkver}

%description pvhvm-%{pvhvmkver}%{knlsfx}largesmp
This package contains the paravirtualized drivers for linux hvm domains. 
%endif

%if %{buildhugemem}
%package pvhvm-%{pvhvmkver}%{knlsfx}hugemem
Summary: PV-HVM drivers for hugemem kernel
Group: Development/Libraries
Requires: %{knl}-hugemem = %{pvhvmkver}
BuildRequires: %{knl}-hugemem-devel = %{pvhvmkver}

%description pvhvm-%{pvhvmkver}%{knlsfx}hugemem
This package contains the paravirtualized drivers for linux hvm domains. 
%endif

%endif # buildoel4

%endif # buildpvdrv

%prep
%if %{libvnc}
%setup -q -n xen-%{version}-ovs -a 1 -a 3
%else
%setup -q -n xen-%{version}-ovs -a 3
%endif
# Little bit of evil
cp %{SOURCE2} .
%patch1  -p1
%patch2  -p1
%patch3  -p1
%patch4  -p1
%patch5  -p1
%patch6  -p1
%patch7  -p1
%patch8  -p1
%patch9  -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1

%patch25 -p1
%patch26 -p1
%patch27 -p1

%if %{hvmtscpatch}
%patch100 -p1
%patch101 -p1
%endif
%if %{hvmpitpatch}
%patch102 -p1
%endif

%build
%if !%{buildpvdrv}

%if %{libvnc}
# libvncserver first
pushd LibVNCServer-0.8.2

%configure
make -C libvncserver
vncdir=`pwd`
popd
sed -i -e "s;libvncserver-config;${vncdir}/libvncserver-config;" tools/xenfb/Makefile
%endif

%ifarch x86_64 || noarch
CFLAGS="$RPM_OPT_FLAGS" make XENFB_TOOLS=y XEN_PYTHON_NATIVE_INSTALL=1 \
	DESTDIR=%{buildroot} verbose=y crash_debug=y pae=y \
	XEN_TARGET_X86_PAE=y xen tools docs
%else
CFLAGS="$RPM_OPT_FLAGS" make XENFB_TOOLS=y XEN_PYTHON_NATIVE_INSTALL=1 \
	DESTDIR=%{buildroot} verbose=y crash_debug=y pae=y CONFIG_X86=y \
	XEN_TARGET_X86_PAE=y xen tools docs
make -C tools/ioemu qemu-img
%endif

%endif

%if %{buildpvdrv}

pushd unmodified_drivers/linux-2.6/
./mkbuildtree
patch -p1 < %{SOURCE10}
popd


%endif

%install
rm -rf %{buildroot}

%if !%{buildpvdrv}

make XENFB_TOOLS=y XEN_PYTHON_NATIVE_INSTALL=1 DESTDIR=%{buildroot} \
	prefix=/usr -C xen clean
make XENFB_TOOLS=y XEN_PYTHON_NATIVE_INSTALL=1 DESTDIR=%{buildroot} \
	prefix=/usr install-xen install-tools install-docs
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/domain
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/vnet
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/migrate
mkdir -p %{buildroot}%{_localstatedir}/lib/xenstored
mkdir -p %{buildroot}%{_localstatedir}/run/xenstored
rm -rf %{buildroot}%{_datadir}/doc/qemu
rm -rf %{buildroot}%{_sysconfdir}/hotplug

# install all of the public headers
mkdir -p %{buildroot}%{_includedir}/xen/io %{buildroot}%{_includedir}/xen/hvm
install -m 644 xen/include/public/io/*.h %{buildroot}%{_includedir}/xen/io
install -m 644 xen/include/public/hvm/*.h %{buildroot}%{_includedir}/xen/hvm
install -m 644 xen/include/public/*.h %{buildroot}%{_includedir}/xen/
install -m 644 xen/include/public/COPYING %{buildroot}%{_includedir}/xen/

%ifnarch x86_64 || noarch
install -m 755 tools/ioemu/qemu-img %{buildroot}%{_sbindir}/
%endif

# install pvhvm headers and sources
mkdir -p %{buildroot}/usr/src/xen-pvhvm-devel/%{version}-%{release}-%{_target_cpu}
cp -LpR unmodified_drivers/ %{buildroot}/usr/src/xen-pvhvm-devel/%{version}-%{release}-%{_target_cpu}/

%endif

%if %{buildpvdrv}

%if %{builddef}
pushd unmodified_drivers/linux-2.6/
make -C /usr/src/kernels/%{pvhvmkver}%{knlsfx}-%{karch} M='$(PWD)' clean
make -C /usr/src/kernels/%{pvhvmkver}%{knlsfx}-%{karch} M='$(PWD)' INSTALL_MOD_PATH='$(RPM_BUILD_ROOT)' modules modules_install
popd
%endif

%if %{buildoel5} 
%if %{buildpae}
pushd unmodified_drivers/linux-2.6/
make -C /usr/src/kernels/%{pvhvmkver}%{knlsfx}-PAE-%{karch} M='$(PWD)' clean
make -C /usr/src/kernels/%{pvhvmkver}%{knlsfx}-PAE-%{karch} M='$(PWD)' INSTALL_MOD_PATH='$(RPM_BUILD_ROOT)' modules modules_install
popd
%endif # buildpae
%endif

%if %{buildoel4}

%if %{buildsmp}
pushd unmodified_drivers/linux-2.6/
make -C /usr/src/kernels/%{pvhvmkver}%{knlsfx}-smp-%{karch} M='$(PWD)' clean
make -C /usr/src/kernels/%{pvhvmkver}%{knlsfx}-smp-%{karch} M='$(PWD)' INSTALL_MOD_PATH='$(RPM_BUILD_ROOT)' modules modules_install
popd
%endif

%if %{buildlargesmp}
pushd unmodified_drivers/linux-2.6/
make -C /usr/src/kernels/%{pvhvmkver}%{knlsfx}-largesmp-%{karch} M='$(PWD)' clean
make -C /usr/src/kernels/%{pvhvmkver}%{knlsfx}-largesmp-%{karch} M='$(PWD)' INSTALL_MOD_PATH='$(RPM_BUILD_ROOT)' modules modules_install
popd
%endif

%if %{buildhugemem}
pushd unmodified_drivers/linux-2.6/
make -C /usr/src/kernels/%{pvhvmkver}%{knlsfx}-hugemem-%{karch} M='$(PWD)' clean
make -C /usr/src/kernels/%{pvhvmkver}%{knlsfx}-hugemem-%{karch} M='$(PWD)' INSTALL_MOD_PATH='$(RPM_BUILD_ROOT)' modules modules_install
popd
%endif

%endif # buildoel4

%endif # buildpvdrv

%if !%{buildpvdrv}

### fixing start-script dir
mkdir -p %{buildroot}/etc/rc.d
mv -f %{buildroot}/etc/init.d %{buildroot}/etc/rc.d/

mv -f %{buildroot}/etc/udev/xen-backend.rules %{buildroot}/etc/udev/rules.d/

# silly doc dir fun
rm -fr %{buildroot}/%{_datadir}/doc/xen/

# create dirs in /var/run so that selinux contexts are right (#195952)
mkdir -p %{buildroot}/var/run/xend %{buildroot}/var/log/xen
mkdir -p %{buildroot}/var/lib/xen/images

# avoid conflicting with qemu (#199759)
# but we need qemu-img man page in Oracle VM Server. remove qemu man page only
rm -f %{buildroot}/%{_mandir}/man1/qemu.1.gz

%endif

%post
%if !%{buildpvdrv}

/sbin/chkconfig --add xend
/sbin/chkconfig --add xendomains
# This is from the ovs-utils package
/usr/lib/ovs/detect64
if [ $? -eq 0 ]; then
    ln -sf xen-64bit.gz /boot/xen.gz
else
    ln -sf xen-32bit.gz /boot/xen.gz
fi

%endif

%preun
%if !%{buildpvdrv}

if [ $1 = 0 ]; then
  /sbin/chkconfig --del xend
  /sbin/chkconfig --del xendomains
fi

%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{buildpvdrv}

%if %{builddef}
%files pvhvm-%{pvhvmkver}%{knlsfx}
%defattr(-,root,root)
/lib/modules/%{pvhvmkver}%{knlsfx}/extra
%endif

%if %{buildoel5}
%if %{buildpae} 
%files pvhvm-%{pvhvmkver}%{knlsfx}PAE
%defattr(-,root,root)
/lib/modules/%{pvhvmkver}%{knlsfx}PAE/extra
%endif
%endif

%if %{buildoel4}

%if %{buildsmp}
%files pvhvm-%{pvhvmkver}%{knlsfx}smp
%defattr(-,root,root)
/lib/modules/%{pvhvmkver}%{knlsfx}smp/extra
%endif

%if %{buildlargesmp}
%files pvhvm-%{pvhvmkver}%{knlsfx}largesmp
%defattr(-,root,root)
/lib/modules/%{pvhvmkver}%{knlsfx}largesmp/extra
%endif

%if %{buildhugemem}
%files pvhvm-%{pvhvmkver}%{knlsfx}hugemem
%defattr(-,root,root)
/lib/modules/%{pvhvmkver}%{knlsfx}hugemem/extra
%endif

%endif # buildoel4

%endif # buildpvdrv

%if !%{buildpvdrv}

%ifnarch x86_64 || noarch
%files
%defattr(-,root,root)
/boot/*
%endif

%ifarch x86_64 || noarch
%files 64
%defattr(-,root,root)
/boot/*
%endif

%files tools
%doc COPYING README
%doc docs/pdf/
%doc docs/misc/
%{_sbindir}/*
%{_bindir}/*
%{_libdir}/%{name}
%{_libdir}/fs/*/*.so
%{_mandir}/man?/*.?.gz
%{python_sitearch}/%{name}
%{python_sitearch}/grub
%{python_sitearch}/fsimage.so
%dir /usr/lib/xen
%dir /usr/lib/xen/boot
/usr/lib/xen/boot/hvmloader
%dir %attr(0700,root,root) %{_sysconfdir}/%{name}
%dir %{_datadir}/%{name}/qemu
%dir %{_localstatedir}/lib/%{name}
%dir %{_localstatedir}/lib/xenstored
%dir %{_localstatedir}/run/xenstored
%dir %{_localstatedir}/run/xend
%dir %attr(0700,root,root) /var/log/xen
%{_datadir}/%{name}/qemu/keymaps/*
%{_datadir}/%{name}/*.dtd
%{_sysconfdir}/rc.d/init.d/*
%{_sysconfdir}/udev/rules.d/*
%{_localstatedir}/lib/%{name}/*
# turn this on when building ACM tools
#%{_localstatedir}/lib/xensec_gen/*
%config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/sysconfig/xendomains

%files devel
%defattr(-,root,root)
%dir %{_includedir}/xen
%{_includedir}/*.h
%{_includedir}/xen/*
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.a

%files pvhvm-devel
%defattr(-,root,root)
/usr/src/xen-pvhvm-devel/*

%endif

%changelog
* Fri Dec  7 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.1-0.36.el5
- fix xen crash when migrating 32-bit pv guests (bz#4118) (cs16543)

* Sun Nov 13 2007 Kevin Lyons <kevin.x.lyons@oracle.com> - 3.1.1-0.35.el5
- Disable simtimer

* Sun Nov 11 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.1-0.34.el5
- enable tsc patch by default, requires simtimer=1 in guest config

* Thu Nov  8 2007 Kevin Lyons <kevin.x.lyons@oracle.com> - 3.1.1-0.33.el5
- Remove only the qemu man page.
- fix pvhvm missing syms on el4

* Wed Nov  7 2007 Srinivas Maturi <Srinivas.Maturi@oracle.com> - 3.1.1-0.32.el5
- futher changes for pvhvm building, allow for 100HZ variant

* Wed Nov  7 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.1-0.31.el5
- pull in a few patches from 5.1
- always run machine check init code on amd
- add network-bridges, start up a bridge for all interfaces which are up

* Tue Nov  6 2007 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-0.30.el5
- use readonly lomount if we fail to mount block device rw

* Sat Nov  3 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.1-0.29.el5
- conditionally apply host-synced tsc patch (haitao.shan@intel.com) (default=off)
- conditionally apply PIT correction patch (bguthro@virtualiron.com) (default=off)

* Fri Nov  2 2007 Srinivas Maturi <Srinivas.Maturi@oracle.com> - 3.1.1-0.28.el5
- overhaul pvhvm driver building

* Fri Nov  2 2007 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-0.27.el5
- include xen-network-iptables-bridge patch to fix firewalling on bridges

* Fri Oct 26 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.1-0.26.el5
- fix CVE-2007-3919 with cs16157
- build/ship qemu-img

* Wed Oct 24 2007 Philip Copeland <philip.copeland@oracle.com> - 3.1.1-0.25.el5
- graphviz is not a standard package but is used in the docs creation
  so I've added a prebuilt tarball of the docs

* Thu Oct 11 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.1-0.24.el5
- set vnclisten to wide-open by default

* Thu Oct 11 2007 Herbert van den Bergh <herbert.van.den.bergh@oracle.com> - 3.1.1-0.23.el5
- fix cr3 handling for 64-on-32 para save/restore

* Thu Oct 11 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.1-0.22.el5
- final 3.1.1 RELEASE got moved, pull in cs 15465 to fix 64bit migration

* Wed Oct 10 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.1-0.21.el5
- update to final xen 3.1.1 RELEASE version strings
- open up xen relocation daemon, will restrict this using iptables

* Tue Oct  9 2007 Philip Copeland <philip.copeland@oracle.com> - 3.1.1-0.20.el5
- symlinks made soft

* Tue Oct  9 2007 Philip Copeland <philip.copeland@oracle.com> - 3.1.1-0.18.el5
- BuildRequires for libvncserver, imake, gettext... (long list)
- CFLAGS changed to stop the x86_64 building with -m32 (DUH)

* Mon Oct  8 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.1-0.17.el5
- updated to xen 3.1.1-rc3 plus an additional shadow fix on error exit

* Fri Oct  5 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.1-0.15.el5
- back out shadow code cs 15199 to fix ext3 bitmap corruption on PAE hvm guests

* Fri Oct  5 2007 Herbert van den Bergh <herbert.van.den.bergh@oracle.com> - 3.1.1-0.14.el5
- 64-on-32 para save/restore

* Fri Oct  5 2007 Philip Copeland <philip.copeland@oracle.com> - 3.1.1-0.13.el5
- Names changed around to easily determine arch type

* Thu Oct  4 2007 Philip Copeland <philip.copeland@oracle.com> - 3.1.1-0.12.el5
- CONFIG_COMPAT=y added to CFLAGS to keep kurt happy even though I'm
  resonably sure the config/*.mk rules set it anyway
- reduce the number of symlinks to the hypervisor (it was a bit silly)

* Thu Oct  3 2007 Kevin Lyons <kevin.x.lyons@oracle.com> - 3.1.1-0.11.el5
- The symbolic link /boot/xen.gz needs to be relative rather than absolute
- or grub will not be able to find it.

* Thu Oct  1 2007 Philip Copeland <philip.copeland@oracle.com> - 3.1.1-0.10.el5
- Attempt (in post install) to detect if we're on a real 64 bit box
  and if so, to link /boot/xen-64.gz to /boot/xen.gz

* Sun Sep 30 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.1-0.0.9.el5
- initial support for proper pvhvm devel package

* Thu Sep 27 2007 Philip Copeland <philip.copeland@oracle.com> - 3.1.1-0.0.8.el5
- I'm probably going to burn in hell for the specfile madness to allow
  64bit xen to be built as a noarch rpm so that it can be installed in
  a 32bit environment.

* Wed Sep 26 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.1-0.0.7.el5
- move up to 3.1.1-rc2

* Wed Sep 26 2007 Philip Copeland <philip.copeland@oracle.com> - 3.1.1-0.0.6.el5
- in x86_64, make it build xen-64.gz instead of plain boring xen.gz so
  we can differentiate between 32 and 64 bit
  produces xen-64.gz/xen-64-syms

* Tue Sep 25 2007 Philip Copeland <philip.copeland@oracle.com> - 3.1.1-0.0.5.el5
- try and make this behave slightly differnet in a 64 bit build enviroment

* Tue Sep 25 2007 Philip Copeland <philip.copeland@oracle.com> - 3.1.1-0.0.4.el5
- rebundled the rpms so we've three again, xen, xen-tools and xen-devel

* Mon Sep 24 2007 Philip Copeland <philip.copeland@oracle.com> - 3.1.1-0.0.3.el5
- drop the -libs package altogether (why on earth was it needed?)

* Fri Sep 21 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.1-0.0.2.el5
- move up to 3.1.1-rc1

* Wed Sep 19 2007 Philip Copeland <philip.copeland@oracle.com> - 3.1.1-0.0.1.el5
- shift over to 3.1.1-ovs
- kill off a load of redundant patch files in the spec file as most of
  these are in the tarball already
- make sure that /boot/xen* get rolled up into the rpms since we're moving
  it from the kernel to this package
- removed ovs-fix-unhandled-retvals.patch
	  ovs-libxen-internal-header-fix.patch
	  ovs-xen-version.patch
	  ovs-tpm_emulator.patch
- Tidy up the spec file a bit (prettify)
- libvncserver kicked out, you'll need to pull it in as a seperate package now

* Wed Sep  5 2007 Kevin Lyons <kurt.hackel@oracle.com> - 3.1.0-0.0.6.el5
- Added tpm_emulator source tarball and patch to prevent make from
- using wget to download source at compile time.

* Sat Sep  1 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.0-0.0.5.el5
- updated to xen cs 15730
- removed obsolete patches
- disable ACM, enable tpm and xenfb and build xen api headers and libs

* Tue Jul 31 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.0-0.0.4.el5
- enable better status reporting from /etc/init.d/xend
- restrict xm vcpu-set to 1024 cpu bitmask
- pull in cs 15642, fix bz#3112, adds xm new checks for name and uuid
- pull in cs 15240, fix bz#3084, fix xm mem-max

* Thu Jul 19 2007 Kurt Hackel <kurt.hackel@oracle.com> - 3.1.0-0.0.3.el5
- enable the unix socket in xend-config.sxp by default for libvirt applications 

* Tue Jul 17 2007 Kevin lyons <kevin.x.lyons@oracle.com> - 3.1.0-0.0.2.el5
- spec file was looking for wrong source.

* Thu Mar  8 2007 Rik van Riel <riel@redhat.com> - 3.0.3-25.0.3.el5
- fix ethernet bonding in balanced-rr mode, respin (rhbz#215887)

* Wed Mar  7 2007 Rik van Riel <riel@redhat.com> - 3.0.3-25.0.2.el5
- fix ethernet bonding in balanced-rr mode (rhbz#215887)

* Thu Mar  1 2007 Rik van Riel <riel@redhat.com> - 3.0.3-25.0.1.el5
- disable qemu monitor mode, for security reasons (rhbz#230295)
- fix IA64 shadow page table mode (rhbz#230459, rhbz#230331)

* Wed Feb  7 2007 Stephen Tweedie <sct@redhat.com> - 3.0.3-25.el5
- Update man pages to remove deficient sections (rhbz#225603)

* Mon Jan 29 2007 Rik van Riel <riel@redhat.com> - 3.0.3-23.el5
- enable shadow mode before memory reservation for HVM (rhbz#222467)

* Wed Jan 24 2007 Rik van Riel <riel@redhat.com> - 3.0.3-22.el5
- disable ipv6 autoconf on xenbr* devices (rhbz#216504)

* Tue Jan  9 2007 Rik van Riel <riel@redhat.com> - 3.0.3-21.el5
- make /var/log/xen only readable by root (rhbz#212082)
- we no longer package /var/xen/dump, so don't mkdir it

* Fri Jan  5 2007 Rik van Riel <riel@redhat.com> - 3.0.3-20.el5
- fix core dumps of 32 bit guests >2GB RAM (rhbz#215796)
- write the /local/domain/vm node early in the startup process (rhbz#215269)

* Thu Jan  4 2007 Rik van Riel <riel@redhat.com> - 3.0.3-19.el5
- fix memory boundary checking in qemu-dm (rhbz#221119)
- fix VNC JP106 keyboard handling (rhbz#215778)

* Mon Dec 18 2006 Rik van Riel <riel@redhat.com> - 3.0.3-18.el5
- add --force option to xenbus device detach code (rhbz#217853)
- fix keeping track of HVM vnc password (rhbz#218050)

* Sun Dec 17 2006 Rik van Riel <riel@redhat.com> - 3.0.3-17.el5
- enable DMA on HVM virtual cdrom drive (rhbz#218357)
- new paravirt framebuffer, as merged upstream (rhbz#218050)

* Thu Dec 14 2006 Jeremy Katz <katzj@redhat.com> - 3.0.3-16.el5
- more cosmetic pygrub fixing (rhbz#215316) 

* Tue Dec 12 2006 Rik van Riel <riel@redhat.com> - 3.0.3-15.el5
- make ballooning work right (rhbz#212069)

* Thu Dec  7 2006 Rik van Riel <riel@redhat.com> - 3.0.3-14.el5
- do not auto-start a domain that was restored from a save (rhbz#217295)
- use log level info for messages that are not errors (rhbz#218759)
- Resolves: rhbz#217295 rhbz#218759

* Thu Dec  7 2006 Daniel Veillard <veillard@redhat.com> - 3.0.3-13.el5
- Allows HTTP request to dump core of a domain (rhbz#214913)
- Related: rhbz#214913

* Tue Dec  5 2006 Rik van Riel <riel@redhat.com> - 3.0.3-12.el5
- catch it when an HVM guest tries to use hde (rhbz#217736)
- make "xm list" display how much memory a domain really has (rhbz#217443)
- move rtc timer for HVM guests into the hypervisor (rhbz#214780)
- Resolves: rhbz#214780 rhbz#217736 rhbz#217443

* Mon Dec  4 2006 Rik van Riel <riel@redhat.com> - 3.0.3-11.el5
- pass qemu and blktap I/O errors back to the guest
- Resolves: rhbz#217765 rhbz#217859

* Sun Dec  3 2006 Rik van Riel <riel@redhat.com> - 3.0.3-10.el5
- fix 2TB overflow/wraparound in blktap (rhbz#217580)
- various fixes from Herbert Xu's security audit
- allow HVM virtual floppy to be a device on dom0 (rhbz#216449)
- make uppercase characters always work in HVM console (rhbz#217554)
- Resolves: rhbz#217580 rhbz#216449 rhbz#217999 rhbz#218000 rhbz#218002 rhbz#218003 rhbz#218005 rhbz#217554

* Mon Nov 27 2006 Rik van Riel <riel@redhat.com> - 3.0.3-9.el5
- reapply the for bugs 211600, 212193 and 211697
- move the dump path to /var/lib/xen (bug 212558)
- Resolves: rhbz#211600 rhbz#212193 rhbz#211697 rhbz#212558

* Wed Nov  8 2006 Rik van Riel <riel@redhat.com> - 3.0.3-8.el5
- undo the fixes for bz 211600, 212193 and 211697, apply them after beta 2
- fix vmxassist segment loading on real->protected mode transition (bz 214004)

* Wed Nov  8 2006 Rik van Riel <riel@redhat.com> - 3.0.3-7.el5
- fix the uptime statistic for suspended/resumed guests (bz 211600)
- improve the error message when domU uses the wrong device (bz 212193)
- print the full path to the config file in error messages (bz 211697)

* Mon Oct 30 2006 Jeremy Katz <katzj@redhat.com> - 3.0.3-6.el5
- fix cosmetic issues in pygrub (#210479, #207242)

* Mon Oct 30 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-5.el5
- Added /var/lib/xen/images as default dir for storing guest disk image files
  to ensure correct selinux context (bz 212995)

* Thu Oct 26 2006 Rik van Riel <riel@redhat.com> - 3.0.3-4.el5
- make sure xend opens log files with O_APPEND (bz 212081)

* Mon Oct 23 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-3.el5
- Switch /etc/xen directory to be mode 0700 because the config files
  can contain plain text passwords (bz 209335)

* Thu Oct 19 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-2.el5
- Re-build with correct PV vncpassword patch

* Thu Oct 19 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-1.el5
- Pull in the official 3.0.3 tarball of xen (changeset 11774). No functional
  change, only release number toggled.
- Add patches for VNC password authentication (bz 209335)

* Wed Oct 18 2006 Rik van Riel <riel@redhat.com> - 3.0.3-0.3.rc5.el5
- Change the package dependency to python-virtinst to reflect the
  package name change.

* Mon Oct 16 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.3-0.2.rc5.el5
- Update to xen-3.0.3-testing-rc5+ changeset 11772 (bz 210014)

* Sat Oct  7 2006 Danel P. Berrange <berrange@redhat.com> - 3.0.2-45.el5
- Fix handling of bootloader with blktap based disk devices

* Wed Oct  4 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-44
- fix having "many" kernels in pygrub

* Wed Oct  4 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-43
- Fix SMBIOS tables for SVM guests [danpb] (bug 207501)

* Fri Sep 29 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.2-42
- Added vnclisten patches to make VNC only listen on localhost
  out of the box, configurable by 'vnclisten' parameter (bz 203196)

* Thu Sep 28 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-41
- Update to xen-3.0.3-testing changeset 11633

* Thu Sep 28 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-40
- Workaround blktap/xenstore startup race
- Add udev rules for xen blktap devices (srostedt)
- Add support for dynamic blktap device nodes (srostedt)
- Fixes for infinite dom0 cpu usage with blktap
- Fix xm not to die on malformed "tap:" blkif config string
- Enable blktap on kernels without epoll-for-aio support.
- Load the blktap module automatically at startup
- Reenable blktapctrl

* Wed Sep 27 2006 Daniel Berrange <berrange@redhat.com> - 3.0.2-39
- Disable paravirt framebuffer server side rendered cursor (bz 206313)
- Ignore SIGPIPE in paravirt framebuffer daemon to avoid terminating
  on client disconnects while writing data (bz 208025)

* Wed Sep 27 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-38
- Fix cursor in pygrub (#208041)

* Tue Sep 26 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.2-37
- Removed obsolete scary warnings in package description

* Thu Sep 21 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-36
- Add Requires: kpartx for dom0 access to domU data

* Wed Sep 20 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-35
- Don't strip qemu-dm early, so that we get proper debuginfo (danpb)
- Fix compile problem with latest glibc

* Wed Sep 20 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-34
- Update to xen-unstable changeset 11539
- Threading fixes for libVNCserver (danpb)

* Tue Sep  5 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-33
- update pvfb patch based on upstream feedback

* Tue Sep  5 2006 Juan Quintela <quintela@redhat.com> - 3.0.2-31
- re-enable ia64.

* Thu Aug 31 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-31
- update to changeset 11405

* Thu Aug 31 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-30
- fix pvfb for x86_64

* Wed Aug 30 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-29
- update libvncserver to hopefully fix problems with vnc clients disconnecting

* Tue Aug 29 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-28
- fix a typo

* Mon Aug 28 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-27
- add support for paravirt framebuffer

* Mon Aug 28 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-26
- update to xen-unstable cs 11251
- clean up patches some
- disable ia64 as it doesn't currently build 

* Tue Aug 22 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-25
- make initscript not spew on non-xen kernels (#202945)

* Mon Aug 21 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-24
- remove copy of xenguest-install from this package, require 
  python-xeninst (the new home of xenguest-install)

* Wed Aug  2 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-23
- add patch to fix rtl8139 in FV, switch it back to the default nic
- add necessary ia64 patches (#201040)
- build on ia64

* Fri Jul 28 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-22
- add patch to fix net devices for HVM guests 

* Fri Jul 28 2006 Rik van Riel <riel@redhat.com> - 3.0.2-21
- make sure disk IO from HVM guests actually hits disk (#198851)

* Fri Jul 28 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-20
- don't start blktapctrl for now
- fix HVM guest creation in xenguest-install
- make sure log files have the right SELinux label

* Tue Jul 25 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-19
- fix libblktap symlinks (#199820)
- make libxenstore executable (#197316)
- version libxenstore (markmc) 

* Fri Jul 21 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-18
- include /var/xen/dump in file list
- load blkbk, netbk and netloop when xend starts
- update to cs 10712
- avoid file conflicts with qemu (#199759)

* Wed Jul 19 2006 Mark McLoughlin <markmc@redhat.com> - 3.0.2-17
- libxenstore is unversioned, so make xen-libs own it rather
  than xen-devel

* Wed Jul 19 2006 Mark McLoughlin <markmc@redhat.com> 3.0.2-16
- Fix network-bridge error (#199414)

* Mon Jul 17 2006 Daniel Veillard <veillard@redhat.com> - 3.0.2-15
- desactivating the relocation server in xend conf by default and
  add a warning text about it.

* Thu Jul 13 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-14
- Compile fix: don't #include <linux/compiler.h>

* Thu Jul 13 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-13
- Update to xen-unstable cset 10675
- Remove internal libvncserver build, new qemu device model has its own one
  now.
- Change default FV NIC model from rtl8139 to ne2k_pci until the former works
  better

* Tue Jul 11 2006 Daniel Veillard <veillard@redhat.com> - 3.0.2-12
- bump libvirt requires to 0.1.2
- drop xend httpd localhost server and use the unix socket instead

* Mon Jul 10 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-11
- split into main packages + -libs and -devel subpackages for #198260
- add patch from jfautley to allow specifying other bridge for 
  xenguest-install (#198097)

* Mon Jul  3 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-10
- make xenguest-install work with relative paths to disk 
  images (markmc, #197518)

* Fri Jun 23 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-9
- own /var/run/xend for selinux (#196456, #195952)

* Tue Jun 13 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-8
- fix syntax error in xenguest-install

* Mon Jun 12 2006 Daniel Veillard <veillard@redhat.com> - 3.0.2-7
- more initscript patch to report status #184452

* Wed Jun  7 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-6
- Add BuildRequires: for gnu/stubs-32.h so that x86_64 builds pick up
  glibc32 correctly

* Wed Jun  7 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-5
- Rebase to xen-unstable cset 10278

* Fri May  5 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-4
- update to new snapshot (changeset 9925)

* Thu Apr 27 2006 Daniel Veillard <veillard@redhat.com> - 3.0.2-3
- xen.h now requires xen-compat.h, install it too

* Wed Apr 26 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-2
- -m64 patch isn't needed anymore either

* Tue Apr 25 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-1
- update to post 3.0.2 snapshot (changeset:   9744:1ad06bd6832d)
- stop applying patches that are upstreamed
- add patches for bootloader to run on all domain creations
- make xenguest-install create a persistent uuid
- use libvirt for domain creation in xenguest-install, slightly improve 
  error handling

* Tue Apr 18 2006 Daniel Veillard <veillard@redhat.com> - 3.0.1-5
- augment the close on exec patch with the fix for #188361

* Thu Mar  9 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-4
- add udev rule so that /dev/xen/evtchn gets created properly
- make pygrub not use /tmp for SELinux
- make xenguest-install actually unmount its nfs share.  also, don't use /tmp

* Tue Mar  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-3
- set /proc/xen/privcmd and /var/log/xend-debug.log as close on exec to avoid
  SELinux problems
- give better feedback on invalid urls (#184176)

* Mon Mar  6 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-2
- Use kva mmap to find the xenstore page (upstream xen-unstable cset 9130)

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-1
- fix xenguest-install so that it uses phy: for block devices instead of 
  forcing them over loopback.  
- change package versioning to be a little more accurate

* Thu Mar  2 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-0.20060301.fc5.3
- Remove unneeded CFLAGS spec file hack

* Thu Mar  2 2006 Rik van Riel <riel@redhat.com> - 3.0.1-0.20060301.fc5.2
- fix 64 bit CFLAGS issue with vmxloader and hvmloader

* Wed Mar  1 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-0.20060301.fc5.1
- Update to xen-unstable cset 9022

* Tue Feb 28 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-0.20060228.fc5.1
- Update to xen-unstable cset 9015

* Thu Feb 23 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5.3
- add patch to ensure we get a unique fifo for boot loader (#182328)
- don't try to read the whole disk if we can't find a partition table 
  with pygrub 
- fix restarting of domains (#179677)

* Thu Feb  9 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5.2
- fix -h conflict for xenguest-isntall

* Wed Feb  8 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5.1
- turn on http listener so you can do things with libvir as a user

* Wed Feb  8 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5
- update to current hg snapshot for HVM support
- update xenguest-install for hvm changes.  allow hvm on svm hardware
- fix a few little xenguest-install bugs

* Tue Feb  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060130.fc5.6
- add a hack to fix VMX guests with video to balloon enough (#180375)

* Tue Feb  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060130.fc5.5
- fix build for new udev

* Tue Feb  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060130.fc5.4
- patch from David Lutterkort to pass macaddr (-m) to xenguest-install
- rework xenguest-install a bit so that it can be used for creating 
  fully-virtualized guests as well as paravirt.  Run with --help for 
  more details (or follow the prompts)
- add more docs (noticed by Andrew Puch)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.0-0.20060130.fc5.3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb  2 2006 Bill Nottingham <notting@redhat.com> 3.0-0.20060130.fc5.3
- disable iptables/ip6tables/arptables on bridging when bringing up a
  Xen bridge. If complicated filtering is needed that uses this, custom
  firewalls will be needed. (#177794)

* Tue Jan 31 2006 Bill Nottingham <notting@redhat.com> 3.0-0.20060130.fc5.2
- use the default network device, don't hardcode eth0

* Tue Jan 31 2006  <sct@redhat.com> - 3.0-0.20060130.fc5.1
- Add xenguest-install.py in /usr/sbin

* Mon Jan 30 2006  <sct@redhat.com> - 3.0-0.20060130.fc5
- Update to xen-unstable from 20060130 (cset 8705)

* Wed Jan 25 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060110.fc5.5
- buildrequire dev86 so that vmx firmware gets built
- include a copy of libvncserver and build vmx device models against it 

* Tue Jan 24 2006 Bill Nottingham <notting@redhat.com> - 3.0-0.20060110.fc5.4
- only put the udev rules in one place

* Fri Jan 20 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060110.fc5.3
- move xsls to xenstore-ls to not conflict (#171863)

* Tue Jan 10 2006  <sct@redhat.com> - 3.0-0.20060110.fc5.1
- Update to xen-unstable from 20060110 (cset 8526)

* Thu Dec 22 2005 Jesse Keating <jkeating@redhat.com> - 3.0-0.20051206.fc5.2
- rebuilt

* Tue Dec  6 2005 Juan Quintela <quintela@trasno.org> - 3.0-0.20051206.fc5.1
- 20051206 version (should be 3.0.0).
- Remove xen-bootloader fixes (integrated upstream).

* Wed Nov 30 2005 Daniel Veillard <veillard@redhat.com> - 3.0-0.20051109.fc5.4
- adding missing headers for libxenctrl and libxenstore
- use libX11-devel build require instead of xorg-x11-devel

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5.3
- change default dom0 min-mem to 256M so that dom0 will try to balloon down

* Sat Nov 12 2005 Jeremy Katz <katzj@redhat.com>
- buildrequire ncurses-devel (reported by Justin Dearing)

* Thu Nov 10 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5.2
- actually enable the initscripts

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5.1
- udev rules moved

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5
- update to current -unstable
- add patches to fix pygrub 

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051108.fc5
- update to current -unstable

* Fri Oct 21 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051021.fc5
- update to current -unstable

* Thu Sep 15 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20050912.fc5.1
- doesn't require twisted anymore

* Mon Sep 12 2005 Rik van Riel <riel@redhat.com> 3.0-0.20050912.fc5
- add /var/{lib,run}/xenstored to the %files section (#167496, #167121)
- upgrade to today's Xen snapshot
- some small build fixes for x86_64
- enable x86_64 builds

* Thu Sep  8 2005 Rik van Riel <riel@redhat.com> 3.0-0.20050908
- explicitly call /usr/sbin/xend from initscript (#167407)
- add xenstored directories to spec file (#167496, #167121)
- misc gcc4 fixes 
- spec file cleanups (#161191)
- upgrade to today's Xen snapshot
- change the version to 3.0-0.<date> (real 3.0 release will be 3.0-1)

* Mon Aug 23 2005 Rik van Riel <riel@redhat.com> 2-20050823
- upgrade to today's Xen snapshot

* Mon Aug 15 2005 Rik van Riel <riel@redhat.com> 2-20050726
- upgrade to a known-working newer Xen, now that execshield works again

* Mon May 30 2005 Rik van Riel <riel@redhat.com> 2-20050530
- create /var/lib/xen/xen-db/migrate directory so "xm save" works (#158895)

* Mon May 23 2005 Rik van Riel <riel@redhat.com> 2-20050522
- change default display method for VMX domains to SDL

* Fri May 20 2005 Rik van Riel <riel@redhat.com> 2-20050520
- qemu device model for VMX

* Thu May 19 2005 Rik van Riel <riel@redhat.com> 2-20050519
- apply some VMX related bugfixes

* Mon Apr 25 2005 Rik van Riel <riel@redhat.com> 2-20050424
- upgrade to last night's snapshot

* Fri Apr 15 2005 Jeremy Katz <katzj@redhat.com>
- patch manpath instead of moving in specfile.  patch sent upstream
- install to native python path instead of /usr/lib/python
- other misc specfile duplication cleanup

* Sun Apr  3 2005 Rik van Riel <riel@redhat.com> 2-20050403
- fix context switch between vcpus in same domain, vcpus > cpus works again

* Sat Apr  2 2005 Rik van Riel <riel@redhat.com> 2-20050402
- move initscripts to /etc/rc.d/init.d (Florian La Roche) (#153188)
- ship only PDF documentation, not the PS or tex duplicates

* Thu Mar 31 2005 Rik van Riel <riel@redhat.com> 2-20050331
- upgrade to new xen hypervisor
- minor gcc4 compile fix

* Mon Mar 28 2005 Rik van Riel <riel@redhat.com> 2-20050328
- do not yet upgrade to new hypervisor ;)
- add barrier to fix SMP boot bug
- add tags target
- add zlib-devel build requires (#150952)

* Wed Mar  9 2005 Rik van Riel <riel@redhat.com> 2-20050308
- upgrade to last night's snapshot
- new compile fix patch

* Sun Mar  6 2005 Rik van Riel <riel@redhat.com> 2-20050305
- the gcc4 compile patches are now upstream
- upgrade to last night's snapshot, drop patches locally

* Fri Mar  4 2005 Rik van Riel <riel@redhat.com> 2-20050303
- finally got everything to compile with gcc4 -Wall -Werror

* Thu Mar  3 2005 Rik van Riel <riel@redhat.com> 2-20050303
- upgrade to last night's Xen-unstable snapshot
- drop printf warnings patch, which is upstream now

* Wed Feb 23 2005 Rik van Riel <riel@redhat.com> 2-20050222
- upgraded to last night's Xen snapshot
- compile warning fixes are now upstream, drop patch

* Sat Feb 19 2005 Rik van Riel <riel@redhat.com> 2-20050219
- fix more compile warnings
- fix the fwrite return check

* Fri Feb 18 2005 Rik van Riel <riel@redhat.com> 2-20050218
- upgrade to last night's Xen snapshot
- a kernel upgrade is needed to run this Xen, the hypervisor
  interface changed slightly
- comment out unused debugging function in plan9 domain builder
  that was giving compile errors with -Werror

* Tue Feb  8 2005 Rik van Riel <riel@redhat.com> 2-20050207
- upgrade to last night's Xen snapshot

* Tue Feb  1 2005 Rik van Riel <riel@redhat.com> 2-20050201.1
- move everything to /var/lib/xen

* Tue Feb  1 2005 Rik van Riel <riel@redhat.com> 2-20050201
- upgrade to new upstream Xen snapshot

* Tue Jan 25 2005 Jeremy Katz <katzj@redhat.com>
- add buildreqs on python-devel and xorg-x11-devel (strange AT nsk.no-ip.org)

* Mon Jan 24 2005 Rik van Riel <riel@redhat.com> - 2-20050124
- fix /etc/xen/scripts/network to not break with ipv6 (also sent upstream)

* Fri Jan 14 2005 Jeremy Katz <katzj@redhat.com> - 2-20050114
- update to new snap
- python-twisted is its own package now
- files are in /usr/lib/python now as well, ugh.

* Tue Jan 11 2005 Rik van Riel <riel@redhat.com>
- add segment fixup patch from xen tree
- fix %files list for python-twisted

* Mon Jan 10 2005 Rik van Riel <riel@redhat.com>
- grab newer snapshot, that does start up
- add /var/xen/xend-db/{domain,vnet} to %files section

* Thu Jan  6 2005 Rik van Riel <riel@redhat.com>
- upgrade to new snapshot of xen-unstable

* Mon Dec 13 2004 Rik van Riel <riel@redhat.com>
- build python-twisted as a subpackage
- update to latest upstream Xen snapshot

* Sun Dec  5 2004 Rik van Riel <riel@redhat.com>
- grab new Xen tarball (with wednesday's patch already included)
- transfig is a buildrequire, add it to the spec file

* Wed Dec  1 2004 Rik van Riel <riel@redhat.com>
- fix up Che's spec file a little bit
- create patch to build just Xen, not the kernels

* Wed Dec 01 2004 Che
- initial rpm release
